Name:           endeavour
Version:        43.0
Release:        1%{?dist}
Summary:        Endeavour is an intuitive and powerful application to manage your personal tasks. It uses GNOME technologies and has complete integration with the GNOME desktop environment.

License:        GPL-3.0
URL:            repo
Source0:        https://gitlab.gnome.org/World/Endeavour

BuildRequires:  git
BuildRequires:  meson
BuildRequires:  gtk4-devel
BuildRequires:  gcc
BuildRequires:  libadwaita-devel
BuildRequires:  glib
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(goa-1.0)
BuildRequires:  desktop-file-utils
BuildRequires:  ghc-gi-gmodule-devel
BuildRequires:  libpeas1-devel
BuildRequires:  cmake
BuildRequires:  evolution-data-server-devel
BuildRequires:  itstool

Requires:       gtk4
Requires:       libadwaita
Requires:       libpeas1
Requires:       glib
Requires:       evolution-data-server

%description


%prep
cd %{_builddir}/
git clone --recurse-submodules https://gitlab.gnome.org/World/Endeavour
cd %{_builddir}/Endeavour
git checkout 92706b42784e553d9f841117111a5e14bd201e1c

%build
cd Endeavour*
%meson --buildtype release
%meson_build -j 1

%install
cd Endeavour*
%meson_install


%files
#%license add-license-file-here
#%doc add-docs-here
%{_bindir}/endeavour
%{_includedir}/endeavour/endeavour.h
%{_includedir}/endeavour/gtd-activatable.h
%{_includedir}/endeavour/gtd-animatable.h
%{_includedir}/endeavour/gtd-animation-utils.h
%{_includedir}/endeavour/gtd-bin-layout.h
%{_includedir}/endeavour/gtd-clock.h
%{_includedir}/endeavour/gtd-easing.h
%{_includedir}/endeavour/gtd-interval.h
%{_includedir}/endeavour/gtd-keyframe-transition.h
%{_includedir}/endeavour/gtd-list-model-filter.h
%{_includedir}/endeavour/gtd-list-store.h
%{_includedir}/endeavour/gtd-manager.h
%{_includedir}/endeavour/gtd-max-size-layout.h
%{_includedir}/endeavour/gtd-menu-button.h
%{_includedir}/endeavour/gtd-notification.h
%{_includedir}/endeavour/gtd-object.h
%{_includedir}/endeavour/gtd-omni-area-addin.h
%{_includedir}/endeavour/gtd-omni-area.h
%{_includedir}/endeavour/gtd-panel.h
%{_includedir}/endeavour/gtd-property-transition.h
%{_includedir}/endeavour/gtd-provider-popover.h
%{_includedir}/endeavour/gtd-provider.h
%{_includedir}/endeavour/gtd-star-widget.h
%{_includedir}/endeavour/gtd-task-list-view.h
%{_includedir}/endeavour/gtd-task-list.h
%{_includedir}/endeavour/gtd-task.h
%{_includedir}/endeavour/gtd-timeline.h
%{_includedir}/endeavour/gtd-transition.h
%{_includedir}/endeavour/gtd-types.h
%{_includedir}/endeavour/gtd-utils.h
%{_includedir}/endeavour/gtd-widget.h
%{_includedir}/endeavour/gtd-window.h
%{_includedir}/endeavour/gtd-workspace.h
%{_libdir}/girepository-1.0/Gtd-1.0.typelib
%{_libdir}/pkgconfig/endeavour.pc
%{_datadir}/applications/org.gnome.Todo.desktop
%{_datadir}/dbus-1/services/org.gnome.Todo.service
%{_datadir}/gir-1.0/Gtd-1.0.gir
%{_datadir}/glib-2.0/schemas/org.gnome.todo.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Todo.Devel.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Todo.svg
%{_datadir}/icons/hicolor/symbolic/actions/builder-view-left-pane-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/actions/drag-handle-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/actions/mail-inbox-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/actions/view-tasks-all-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/actions/view-tasks-today-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/actions/view-tasks-unscheduled-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/actions/view-tasks-week-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Todo-symbolic.svg
%{_datadir}/locale/*/LC_MESSAGES/endeavour.mo
%{_datadir}/metainfo/org.gnome.Todo.appdata.xml
 /usr/share/help/*/endeavour/add-notes.page
%{_datadir}/help/*/endeavour/archive.page
%{_datadir}/help/*/endeavour/assign-color.page
%{_datadir}/help/*/endeavour/assign-date.page
%{_datadir}/help/*/endeavour/contributing.page
%{_datadir}/help/*/endeavour/create-tasklists.page
%{_datadir}/help/*/endeavour/create-tasks.page
%{_datadir}/help/*/endeavour/delete-tasklist.page
%{_datadir}/help/*/endeavour/execute-task.page
%{_datadir}/help/*/endeavour/figures/org.gnome.Todo.svg
%{_datadir}/help/*/endeavour/give-star.page
%{_datadir}/help/*/endeavour/index.page
%{_datadir}/help/*/endeavour/overview.page
%{_datadir}/help/*/endeavour/rename-tasklist.page
%{_datadir}/help/*/endeavour/rename-tasks.page
%{_datadir}/help/*/endeavour/support.page
%{_datadir}/help/*/endeavour/switch-theme.page
%{_datadir}/help/*/endeavour/workflow.page

%changelog
* Sun Jun 30 2024 dfkajar <dfkajar@gmail.com>
- 
